import "Turbine";
import "Turbine.Gameplay";
import "Turbine.UI"
import "Turbine.UI.Lotro"
import "SaelythPlugins.Timerforraces"

Turbine.Shell.WriteLine("\n<rgb=#ff0000>- Timer for races 1.2 Loaded -</rgb>\n<rgb=#17F200> Use the command /Timer help for more information.");


Hellish = HellishWindow();
Hellish:SetVisible( true );


HellishShellCmd=Turbine.ShellCommand();
local numberOfCommandsRegistered = Turbine.Shell.AddCommand("Timer",HellishShellCmd);

HellishShellCmd.Execute = function(sender, cmd, args)
	if (string.lower(args)=="show") then
		if displayWindow==nil or not displayWindow:IsVisible() then
			Hellish:SetVisible(true);
		end
	elseif (string.lower(args)=="hide") then
		if displayWindow~=nil then
			displayWindow:SetVisible(false);
		end
		Hellish:SetVisible(false);
	elseif (string.lower(args)=="toggle") then
		if displayWindow==nil then
			Hellish:SetVisible(not Hellish:IsVisible())
		else
			if displayWindow:IsVisible() then
				displayWindow:SetVisible(false);
			else
				Hellish:SetVisible(not Hellish:IsVisible())
			end
		end
	else
		Turbine.Shell.WriteLine("usage:");
		Turbine.Shell.WriteLine("  /Timer show");
		Turbine.Shell.WriteLine("       Displays the Timer main window.");
		Turbine.Shell.WriteLine("  /Timer hide");
		Turbine.Shell.WriteLine("       Hides the Timer main window.");
		Turbine.Shell.WriteLine("  /Timer toggle");
		Turbine.Shell.WriteLine("       Toggles the Timer main window (shows it if it was hidden, hides it if it was showing).");
	end
end
HellishShellCmd.GetHelp = function(sender, cmd)
	return("usage:\n  /Timer show\n       Displays the Timer main window.\n  /Timer hide\n       Hides the Timer main window.\n  /Timer toggle\n       Toggles the Timer main window (shows it if it was hidden, hides it if it was showing).");
end
HellishShellCmd.GetShortHelp = function(sender, cmd)
	return("Timer - usage: /Timer show | hide | toggle");
end

plugin.Unload=function()
	-- remove the shell commands
	Turbine.Shell.RemoveCommand(HellishShellCmd)
end